#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  main:
    allow-bean-definition-overriding: true
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    export_exchange: sitExportExchange
    mail_export_queue: sit_mail_export_queue
    mail_export_routingkey: sit_mail_export_key

email:
  sender: sender@test.tester
  smtpHost: entdockergss
  port: 1025
  isHtmlEmail: true
  isUseHtmlEmailTemplate: true

security.endpoint:
  user: ${GFI_MANUAL_ENDPOINTS_USERNAME}
  password: ${GFI_MANUAL_ENDPOINTS_PASSWORD}

swagger:
  enabled: true

server:
  max-http-request-header-size: 262144
---

spring:
  config:
    activate:
      on-profile: test

security.endpoint:
  user: mockuser
  password: mockuser

---

spring:
  config:
    activate:
      on-profile: devserver

server:
  port: 9205

---

spring:
  config:
    activate:
      on-profile: devserver-unsecure

server:
  port: 9206

---

spring:
  config:
    activate:
      on-profile: qserver
  rabbitmq:
    host: localhost
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    export_exchange: sitExportExchange
    mail_export_queue: sit_mail_export_queue
    mail_export_routingkey: sit_mail_export_key

server:
  port: 9205
  servlet:
    session:
      tracking-modes: cookie
  max-http-request-header-size: 262144

email:
  sender: sender@test.tester
  smtpHost: localhost
  port: 1025

swagger:
  baseUrl: /
